module.exports = {
  up(queryInterface, Sequelize) {
    return Promise.all([
      queryInterface.addColumn(
          'users',
          'userWallOptOut',
          {
            type: Sequelize.BOOLEAN,
            defaultValue: false,
            notNull: true
          },
      ),
      queryInterface.addColumn(
          'users',
          'cookieOptOut',
          {
            type: Sequelize.BOOLEAN,
            defaultValue: false,
            notNull: true
          },
      ),
    ]);
  },
  down(queryInterface, Sequelize) {
    return Promise.all([
      queryInterface.removeColumn(
          'users',
          'userWallOptOut',
      )
    ]);
  },
};
